<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\Anmeldung\FirmaDialog;

class FirmaDialogView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'veranstalter/anmeldung/firma_dialog.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    static $datamodul = null;
    if (is_null($datamodul)) {
      $datamodul = new \Datamodul();
      $datamodul->geschlechtAuswahl = $this->viewModel->geschlechtAuswahl;
      $datamodul->teilfrei = $this->viewModel->teilfrei;
      $datamodul->readonly = $this->viewModel->readonly;
    }

    return array($datamodul);
  }
}

class FirmaDialogViewModel
{
  public $geschlechtAuswahl;
  public $teilfrei;
  public $readonly;
}